import argparse


def build_argument_parser() -> argparse.ArgumentParser:
    parser = argparse.ArgumentParser(
        description="Utility to transcribe DND audio recordings."
    )
    parser.add_argument(
        "-v", "--verbose", action="store_true", help="Enable verbose logging"
    )
    parser.add_argument(
        "-q", "--quiet", action="store_true", help="Only display errors"
    )
    parser.add_argument(
        "audio_file",
        type=argparse.FileType(mode="r"),
        help="Audio file to process",
    )
    return parser
